Name:           rush
Version:        2.2
Release:        1%{?dist}
Summary:        Restricted User Shell

License:        GPLv3+
URL:            https://rush.software.gnu.org.ua
Source0:        https://download.gnu.org.ua/pub/release/rush/rush-%{version}.tar.xz
Source1:        https://download.gnu.org.ua/pub/release/rush/rush-%{version}.tar.xz.sig
# keyring created by running:
# gpg  --recv-keys 3602B07F55D0C732
# gpg2 --export --export-options export-minimal 3602B07F55D0C732 > gpgkey-3602B07F55D0C732.gpg
# see https://docs.fedoraproject.org/en-US/packaging-guidelines/#_exceptions
Source2:        gpgkey-3602B07F55D0C732.gpg

BuildRequires: gnupg2
BuildRequires: gcc
BuildRequires: make
BuildRequires: gettext

%description
GNU Rush is a Restricted User Shell, designed for sites that provide limited 
remote access to their resources, such as svn or git repositories, scp, or the 
like. Using a sophisticated configuration file, GNU Rush gives you complete 
control over the command lines that users execute, as well as over the usage of 
system resources, such as virtual memory, CPU time, etc. 

%prep
%{gpgverify} --keyring='%{SOURCE2}' --signature='%{SOURCE1}' --data='%{SOURCE0}'
%autosetup

%build
%{configure}
%{make_build}

%install
%{make_install}
rm %{buildroot}/%{_infodir}/dir
%{find_lang} %{name}

%check
%{make_build} check

%files -f %{name}.lang
%license COPYING
%doc AUTHORS ChangeLog NEWS README THANKS
%attr(4755,root,root) %{_sbindir}/rush
%{_bindir}/rushlast
%{_bindir}/rushwho
%{_bindir}/rush-po
%attr(0644,root,root) %{_sysconfdir}/rush.rc
%{_mandir}/man1/rushlast.1.*
%{_mandir}/man1/rushwho.1.*
%{_mandir}/man1/rush-po.1.*
%{_mandir}/man5/rush.rc.5.*
%{_mandir}/man8/rush.8.*
%{_infodir}/rush.info.*

%changelog
* Sat Feb 12 2022 spike <spike@fedoraproject.org> 2.2-1
- Initial package
